Pergunta sobre tipos de conjuntos de ferramentas de campos e taxonomias personalizados – Tipos de postagem personalizados do WordPress: problema class-wp-installer.php

Um usuário perguntou ?

Eu tenho um problema. Toda vez que vou a “Plugins” nos finais de semana. Eu recebo uma tela cheia do seguinte código: Eu tive WP 4.9.4 e Tooset Types v2.2.22 por um tempo.

disponível para foreach() em /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php na linha 2197

Aviso: argumento inválido fornecido para foreach() em /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php on-line 2197

Aviso: argumento inválido fornecido para foreach() em /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php on-line 2197

Aviso: argumento inválido fornecido para foreach() em /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php on-line 2197

Aviso: argumento inválido fornecido para foreach() em /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php on-line 2197

Aviso: argumento inválido fornecido para foreach() em /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php on-line 2197

Este tópico foi modificado 2 anos, 11 meses atrás por.

(@bedas)

2 anos, 10 meses atrás

Acho que sei sobre o bug desde que o corrigimos há alguns meses. Mas, revisando o código, vi que ainda existem algumas instâncias de código esperando um conjunto válido de plugins válidos (como de costume).

Eu denunciei e pedi para resolver o problema o mais rápido possível.

(@bedas)

2 anos, 10 meses atrás

Oi @takahiromtd Eu tenho uma correção para esse problema, mas preciso de uma amostra para testá-lo.

por favor, você pode vir este fórume abra um novo ticket atrás de você registrado aqui?

Link para boleto aqui. Eu cuido do resto do novo ticket que você abrir.

O problema aqui é que no WordPress não consigo trocar dados privados como Site Copy ou similar com você.

(@bedas)

2 anos, 10 meses atrás

É importante que consertemos.

Você postou um ticket em nossos fóruns? Você pode se conectar comigo?

Obrigado!

(@bedas)

2 anos, 10 meses atrás

Eu prefiro fazer uma pergunta, qualquer pessoa experiente com isso, por favor nos avise nos fóruns vinculados acima, com os pacotes necessários.

Não publicaremos uma “correção” para isso porque não podemos replicar e controlar com segurança esse problema e sua solução.

Se conseguirmos encontrar a real situação deste problema, vamos resolvê-lo o mais rápido possível.

Obrigado por entender este problema e nos ajudar.

(@oskarlin)

2 anos, 10 meses atrás

Posso fazer-lo! Eu recebo o mesmo erro.

(@bedas)

2 anos, 10 meses atrás

Por favor, querida, precisamos de um site para replicar o que você vê.

Não podemos resolver esse problema sem repetir as etapas.

Por favor, poste em nosso fórum no link acima e também me avise aqui com o link.

(@aphoenix)

2 anos, 10 meses atrás

Oi @bedas – Eu também tenho essa pergunta e ficaria feliz em fornecer algumas dicas. Verifiquei em seus fóruns e encontrei um tópico relevante, mas não consigo postar uma resposta.

Vou dar um resumo aqui do que estou vivenciando. O mesmo que acima, recebo muitos alertas do php.

Eu encontro os problemas em dois ambientes:

PHP 5.5.38-1 no debian

+---------------------------------------+----------+-----------+----------+
| name                                  | status   | update    | version  |
+---------------------------------------+----------+-----------+----------+
| advanced-custom-fields                | active   | available | 4.4.11   |
| all-in-one-wp-migration               | active   | available | 6.63     |
| breadcrumb-navxt                      | active   | none      | 5.2.2    |
| column-shortcodes                     | active   | available | 0.6.9    |
| edit-flow                             | active   | none      | 0.8      |
| filter-custom-fields-taxonomies-light | inactive | none      | 1.05     |
| hello                                 | inactive | none      | 1.6      |
| redirection                           | active   | none      | 2.3.16   |
| regenerate-thumbnails                 | active   | none      | 2.2.4    |
| relevanssi-premium                    | active   | none      | 1.15.2.1 |
| tablepress                            | active   | none      | 1.6      |
| tinymce-advanced                      | active   | none      | 4.1.9    |
| types                                 | active   | none      | 2.2.22   |
| post-type-archive-links               | active   | none      | 1.3.1    |
+---------------------------------------+----------+-----------+----------+

PHP versão 7.0.29 na terra do site

+---------------------------------------+----------+--------+-------------+
| name                                  | status   | update | version     |
+---------------------------------------+----------+--------+-------------+
| advanced-custom-fields                | active   | none   | 4.4.12      |
| breadcrumb-navxt                      | active   | none   | 6.0.4       |
| column-shortcodes                     | active   | none   | 1.0         |
| edit-flow                             | active   | none   | 0.8.2       |
| filter-custom-fields-taxonomies-light | inactive | none   | 1.05        |
| redirection                           | active   | none   | 3.2         |
| regenerate-thumbnails                 | active   | none   | 3.0.2       |
| relevanssi-premium                    | active   | none   | 1.15.2.1    |
| S3-Uploads                            | active   | none   | 2.0.0-beta2 |
| sg-cachepress                         | active   | none   | 4.0.4       |
| tablepress                            | active   | none   | 1.9         |
| tinymce-advanced                      | active   | none   | 4.6.7       |
| types                                 | active   | none   | 2.2.22      |
| updraftplus                           | inactive | none   | 2.14.4.22   |
| post-type-archive-links               | active   | none   | 1.3.1       |
+---------------------------------------+----------+--------+-------------+

Esta resposta foi modificada 2 anos, 10 meses atrás por.

(@bedas)

2 anos, 10 meses atrás

Olá @aphoenix

Abra um novo tópico no fórum que você registrou.
> Abra um novo ticket de suporte.

Agora você pode adicionar a cópia do seu site feita com o Duplicator Plugin.

Por favor, envie-nos uma cópia do site, se possível, caso os erros não ocorram e nos oriente sobre o que devemos fazer para encontrar os erros.

Uma vez que o tenhamos, podemos finalmente resolver esse velho problema.

Obrigado!

PS: Vou linkar para o seu tópico quando estiver pronto.

(@bedas)

2 anos, 10 meses atrás

Não recebi nenhum relatório.

Você relatou isso? Você pode me conectar ao fio?

(@victoroficio)

2 anos, 10 meses atrás

Eu tenho um problema semelhante: atualizado para foreach() em /home/patio147/public_html/wp-content/plugins/types/plus/installer/includes/installer.class.php na linha 1585.

(@victoroficio)

2 anos, 10 meses atrás

se eu desabilitar o plugin, o erro não ocorrerá

(@bedas)

2 anos, 10 meses atrás

Olá @takahiromtd, @oskarlin, @aphoenix, @victoroficio

Vá para o fórum gratuito, registre-se gratuitamente Aquie abra um novo ticket Aqui.

Prepare uma cópia de suas instalações com estas instruções:

Não consigo te ajudar neste fórum. Não podemos responder a esta pergunta.

(@victoroficio)

2 anos, 9 meses atrás

o link de um programa não funciona

(@bedas)

2 anos, 9 meses atrás

Enquanto isso, temos os detalhes necessários. O Fórum de Variedades Livres está suspenso.

Você ainda pode acompanhá-lo aqui:

(@bedas)

2 anos, 9 meses atrás

Isso não parece mais estar acontecendo nos últimos tipos de kits de ferramentas RC, uma versão que você não encontra aqui neste fórum, infelizmente.

Se você não é um usuário do Payment Toolset, por favor me avise aqui, para que eu possa finalmente encontrar uma solução para a versão gratuita.

Sinta-se à vontade para mencioná-lo aqui caso o problema persista com a versão do Types que você pode baixar aqui.

Com a versão RC que você pode baixar no kit de ferramentas, como usuário pago, o problema deve ser resolvido.

Isto foi útil?

0 / 0

Deixe uma resposta 0

O seu endereço de email não será publicado. Campos obrigatórios são marcados *